librccgtk2-0_0.2.12-0.1_i386.deb


Advertisement

Description

librccgtk2-0 - Library for autoconvert codepages GTK2 interface

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename librccgtk2-0_0.2.12-0.1_i386.deb
Package name librccgtk2-0
Package version 0.2.12
Package release 0.1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://rusxmms.sourceforge.net/
License -
Maintainer Ivan Borzenkov <ivan1986@list.ru>
Download size 24.96 KB
Installed size 79.00 KB
Originally, the project was aimed to provide means to work with
multiple encodings
* Language Autodetection
* On the fly translation between languages, using online-services!
* Encoding Autodetection for most of European Languages1
* Support for encoding detection plugins (besides Enca and LibRCD)
* Recoding/translation of multi-language playlists!
* Cache to speed-up re-recoding.
* Possibility to configure new languages and encodings.
* Shared configuration file. For example mentioned TagLib and
LibID3 patches do not have their own user interface, but will
utilize the same recoding configuration as XMMS.
* As well the separate program for configuration adjustment is
available.
* GTK/GTK2 UI Library: you can add properties page to your GTK+
application with 3 lines of code.
* Menu localization opportunity
This package contains GTK/GTK2 UI Library.

Alternatives

Package Version Architecture Repository
librccgtk2-0_0.2.12-0.1_amd64.deb 0.2.12 amd64 Debian Main
librccgtk2-0 - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.4
libcairo2 >= 1.2.4
libfontconfig1 >= 2.11
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.12.0
libgtk2.0-0 >= 2.8.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
librcc0 = 0.2.12-0.1
libxml2 >= 2.7.4

Replaces

Name Value
librcc0 << 0.2.8-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package librccgtk2-0_0.2.12-0.1_i386.deb
Source Package librcc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librccgtk2-0 deb package:
    # sudo apt-get install librccgtk2-0

Files

Path
/usr/lib/librccgtk2.so.0
/usr/lib/librccgtk2.so.0.2.12
/usr/lib/librccui.so.0
/usr/lib/librccui.so.0.2.12
/usr/share/doc/librccgtk2-0/changelog.Debian.gz
/usr/share/doc/librccgtk2-0/changelog.gz
/usr/share/doc/librccgtk2-0/copyright

Changelog

2014-03-09 - Martín Ferrari <tincho@debian.org>
librcc (0.2.12-0.1) unstable; urgency=high
* Non-maintainer upload.
* New upstream version, closes: #740612. High urgency as bug is RC.
* Remove obsolete glib-single-include.patch.
* Increase debhelper version to 9, to get hardening features.
* Fix sed line to clear dependency_libs in all .la files.
* Added Vcs-* fields in control file.
* Bumped Standards-Version (no changes needed).
* Made watchfile more specific, to ignore some bogus files from upstream.
2013-05-18 - gregor herrmann <gregoa@debian.org>
librcc (0.2.9-3.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "Including individual glib headers no longer supported":
Add patch glib-single-include.patch from Colin Watson:
- Include <glib.h> rather than individual headers.
(Closes: #665573)
2011-03-28 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.9-3) unstable; urgency=low
* Bump Standards-Version to 3.9.1
- add patch from ubuntu (Closes: #619675)
2010-04-16 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.9-2) unstable; urgency=low
* Bump Standards-Version to 3.8.4
- add misc:Depends
* change rules to new debhelper
* chande source format to 3.0(quilt)
2009-10-13 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.9-1) unstable; urgency=low
* New upstream release
* all patches in upstream - remove
2009-10-11 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.8-3) unstable; urgency=low
* Bump Standards-Version to 3.8.3
- add remove_slash.patch for fix lintian error
* fix building with eglibc (Closes: #550065)
* add patch of segfault in db4.7
2009-01-18 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.8-2) unstable; urgency=low
* Fix Replaces for librccgtk2-0
2009-01-17 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.8-1) unstable; urgency=low
* New upstream release
* Change License - GPL2 to LGPL2.1
* Split librcc0 to librcc0 and librcc0-gtk (Closes: #512044)
2009-01-16 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.7-3) unstable; urgency=low
* move gen doc to binary-arch (wait to split package) (Closes: #511823)
2008-12-26 - Ivan Borzenkov <ivan1986@list.ru>
librcc (0.2.7-2) unstable; urgency=low
* Fix License - GPL to GPL2

See Also

Package Description
librcd-dev_0.1.13-3_i386.deb Library for autodection charset of Russian text - dev files
librcd0_0.1.13-3_i386.deb Library for autodection charset of Russian text
librcs-perl_1.05-5_all.deb Perl Object Class for Revision Control System (RCS)
librcsb-core-wrapper-doc_1.005-6_all.deb documentation for librcsb-core-wrapper0
librcsb-core-wrapper0-dev_1.005-6_i386.deb development files for librcsb-core-wrapper0
librcsb-core-wrapper0_1.005-6_i386.deb C++ library providing OO API to information in mmCIF format
librda-bin_0.0.5-1_i386.deb Remote Desktop Awareness (utility)
librda-common_0.0.5-1_all.deb Remote Desktop Awareness (common files)
librda-dev_0.0.5-1_i386.deb Remote Desktop Awareness (development headers)
librda0_0.0.5-1_i386.deb Remote Desktop Awareness (shared library)
librdf-acl-perl_0.104-1_all.deb access control lists for the semantic web
librdf-aref-perl_0.27-2_all.deb another RDF Encoding Form
librdf-closure-perl_0.001-4_all.deb pure Perl RDF inferencing
librdf-doap-lite-perl_0.002-1_all.deb write DOAP data quickly and easily
librdf-doap-perl_0.100-1_all.deb object-oriented interface for DOAP data
Advertisement
Advertisement